•  » Installation
  •  » [Résolu] Blocage migration version 1.73 vers 2.13

#1 2010-10-05 21:37:20

forum6691
Membre
2008-10-11
37

[Résolu] Blocage migration version 1.73 vers 2.13

Bonjour,
j'essaye actuellement de migrer mon installation Phpwebgallery 1.7.3 (hébergement Free) vers une version Piwigo 2.1.3.
J'en suis à l'étape 3 à l'exécution du fichier prep21up.php qui me génère systématiquement la notification suivante : You must be connected as webmaster to run this script.

J'ai essayé avec un compte webmestre et ensuite un compte admin sans succés. Impossible d'exécuter le script "prep21up.php". j'obtiens toujours le même message d'erreur !

Situation :
1/- j'ai téléchargé puis décompressé l'archive Pwigo-2.1.3.zip en local sur mon PC
2/- j'ai téléchargé puis décompressé l'archive prep21-upgrade.zip en local sur mon PC
3/- j'ai transféré par FTP sur mon hébergement Free à la racine (répertoire Baseboats )du site Phpwebgallery 1.7.3 le fichier prep21up.php
4/- J'ai lancé depuis mon navigateur http://moncompte.free.fr/phpwebgallery/prep21up.php

En retour je n'obtient que le message You must be connected as webmaster to run this script !!!

Comment faire pour obtenir l'archive upgrade21.zip ?

NB: Si j'ai pris la méthode manuelle, c'est que j'ai essayé la méthode automatique et en installant le plugin j'ai ce message en permanence en haut de l'écran

Warning: include_once() [function.include]: Failed opening '' for inclusion (include_path='/mnt/140/sda/4/6/srboat/include:.:/usr/php5/lib/php') in /mnt/140/sda/4/6/srboat/BaseBoats/plugins/rv_gmaps/main.inc.php on line 14.

et quand j'essaye d'activer le plugin, j'ai le message d'erreur

Warning: include_once() [function.include]: Failed opening '' for inclusion (include_path='/mnt/140/sda/4/6/srboat/include:.:/usr/php5/lib/php') in /mnt/140/sda/4/6/srboat/BaseBoats/plugins/rv_gmaps/main.inc.php on line 14

Fatal error: Call to undefined method Template::assign() in /mnt/140/sda/4/6/srboat/BaseBoats/plugins/autoupdate/autoupdate.php on line 23

Merci d'avance pour votre aide
Cordialement

Dernière modification par forum6691 (2010-10-05 22:17:54)

Hors ligne

#2 2010-10-05 21:49:20

Gotcha
Equipe Piwigo
Pierrelatte (26)
2007-03-14
13331

Re: [Résolu] Blocage migration version 1.73 vers 2.13


Ayez comme premier réflexe de consulter le wiki.
Ensuite, veuillez effectuer une recherche sur le forum avant de poser votre question.

LE FAIRE EST LE REVELATEUR DE L'ETRE

Hors ligne

#3 2010-10-05 22:14:00

forum6691
Membre
2008-10-11
37

Re: [Résolu] Blocage migration version 1.73 vers 2.13

J'ai regarder ces posts avant de poster , mais je reste avec le pb.

Leur solution ne s'applique pas sur ma config

Hors ligne

#4 2010-10-05 22:18:08

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
14691

Re: [Résolu] Blocage migration version 1.73 vers 2.13

As tu essayé de désactiver le plugin 'rv_gmaps' ?

As tu essayé la mise à jour auto avant de passer à la mise à jour manuel ?


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#5 2010-10-05 22:29:12

forum6691
Membre
2008-10-11
37

Re: [Résolu] Blocage migration version 1.73 vers 2.13

En auto, j'avais pris un plugin update trop récent
En prenant la version b, je peux activer le plugin, mais en cliquant sur le bouton migration, j'obtiens un écran blanc.

Ensuite en page d'accueil je me prend un méga message d'erreur



Warning:  [mysql error 1146] Table 'srboat.phpwebgallery171_languages' doesn't exist

SELECT id, name
  FROM phpwebgallery171_languages
  ORDER BY name ASC
; in /mnt/140/sda/4/6/srboat/BaseBoats/include/dblayer/functions_mysql.inc.php on line 656


Warning: mysql_fetch_assoc(): supplied argument is not a valid MySQL result resource in /mnt/140/sda/4/6/srboat/BaseBoats/include/dblayer/functions_mysql.inc.php on line 155



Warning:  [mysql error 1146] Table 'srboat.phpwebgallery171_languages' doesn't exist

SELECT id, name
  FROM phpwebgallery171_languages
  ORDER BY name ASC
; in /mnt/140/sda/4/6/srboat/BaseBoats/include/dblayer/functions_mysql.inc.php on line 656


Warning: mysql_fetch_assoc(): supplied argument is not a valid MySQL result resource in /mnt/140/sda/4/6/srboat/BaseBoats/include/dblayer/functions_mysql.inc.php on line 155

Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /mnt/140/sda/4/6/srboat/BaseBoats/include/dblayer/functions_mysql.inc.php:655) in /mnt/140/sda/4/6/srboat/BaseBoats/include/user.inc.php on line 29



Warning:  [mysql error 1146] Table 'srboat.phpwebgallery171_themes' doesn't exist

SELECT
    ui.*,
    uc.*,
    t.name AS theme_name
  FROM phpwebgallery171_user_infos AS ui
    LEFT JOIN phpwebgallery171_user_cache AS uc ON ui.user_id = uc.user_id
    LEFT JOIN phpwebgallery171_themes AS t ON t.id = ui.theme
  WHERE ui.user_id = 2
; in /mnt/140/sda/4/6/srboat/BaseBoats/include/dblayer/functions_mysql.inc.php on line 656

et ainsi de suite............

Je m'en vais retenter une maj en manuel après avoir redescendu le site

Dernière modification par forum6691 (2010-10-05 22:34:54)

Hors ligne

#6 2010-10-05 23:06:49

Gotcha
Equipe Piwigo
Pierrelatte (26)
2007-03-14
13331

Re: [Résolu] Blocage migration version 1.73 vers 2.13


Ayez comme premier réflexe de consulter le wiki.
Ensuite, veuillez effectuer une recherche sur le forum avant de poser votre question.

LE FAIRE EST LE REVELATEUR DE L'ETRE

Hors ligne

#7 2010-10-06 00:07:19

forum6691
Membre
2008-10-11
37

Re: [Résolu] Blocage migration version 1.73 vers 2.13

Bon j'ai réussi à migrer en mode manuel.

Le pb initial venait de php 4 !
En passant en php5, le fichier php s'est éxécuté.

Bon maintenant il faut refaire les configs d'écran (perdues avec les vieux plugin)

Hors ligne

  •  » Installation
  •  » [Résolu] Blocage migration version 1.73 vers 2.13

Pied de page des forums

Propulsé par FluxBB

github twitter facebook newsletter Faire un don Piwigo.org © 2002-2019 · Contact